# `HIP_jll.jl` (v4.5.2+2)

[![deps](https://juliahub.com/docs/HIP_jll/deps.svg)](https://juliahub.com/ui/Packages/HIP_jll/vP5rW?page=2)

This is an autogenerated package constructed using [`BinaryBuilder.jl`](https://github.com/JuliaPackaging/BinaryBuilder.jl).

The originating [`build_tarballs.jl`](https://github.com/JuliaPackaging/Yggdrasil/blob/66c561a61f18f5de4441bf6df4f182720823142d/H/HIP/HIP@4.5.2/build_tarballs.jl) script can be found on [`Yggdrasil`](https://github.com/JuliaPackaging/Yggdrasil/), the community build tree.

## Bug Reports

If you have any issue, please report it to the Yggdrasil [bug tracker](https://github.com/JuliaPackaging/Yggdrasil/issues).

## Documentation

For more details about JLL packages and how to use them, see `BinaryBuilder.jl` [documentation](https://docs.binarybuilder.org/stable/jll/).

## Sources

The tarballs for `HIP_jll.jl` have been built from these sources:

* compressed archive: https://github.com/ROCm-Developer-Tools/HIP/archive/rocm-4.5.2.tar.gz (SHA256 checksum: `c2113dc3c421b8084cd507d91b6fbc0170765a464b71fb0d96bb875df368f160`)
* files in directory, relative to originating `build_tarballs.jl`: [`./bundled`](https://github.com/JuliaPackaging/Yggdrasil/tree/66c561a61f18f5de4441bf6df4f182720823142d/H/HIP/HIP@4.5.2/bundled)
* files in directory, relative to originating `build_tarballs.jl`: [`../scripts`](https://github.com/JuliaPackaging/Yggdrasil/tree/66c561a61f18f5de4441bf6df4f182720823142d/H/HIP/HIP@4.5.2/scripts)
* compressed archive: https://github.com/ROCm-Developer-Tools/hipamd/archive/rocm-4.5.2.tar.gz (SHA256 checksum: `b6f35b1a1d0c466b5af28e26baf646ae63267eccc4852204db1e0c7222a39ce2`)
* compressed archive: https://github.com/RadeonOpenCompute/ROCm-OpenCL-Runtime/archive/rocm-4.5.2.tar.gz (SHA256 checksum: `96b43f314899707810db92149caf518bdb7cf39f7c0ad86e98ad687ffb0d396d`)
* compressed archive: https://github.com/ROCm-Developer-Tools/ROCclr/archive/rocm-4.5.2.tar.gz (SHA256 checksum: `6581916a3303a31f76454f12f86e020fb5e5c019f3dbb0780436a8f73792c4d1`)

## Platforms

`HIP_jll.jl` is available for the following platforms:

* `Linux x86_64 {cxxstring_abi=cxx11, libc=glibc}` (`x86_64-linux-gnu-cxx11`)
* `Linux x86_64 {cxxstring_abi=cxx11, libc=musl}` (`x86_64-linux-musl-cxx11`)

## Dependencies

The following JLL packages are required by `HIP_jll.jl`:

* [`ROCmCompilerSupport_jll`](https://github.com/JuliaBinaryWrappers/ROCmCompilerSupport_jll.jl)
* [`ROCmDeviceLibs_jll`](https://github.com/JuliaBinaryWrappers/ROCmDeviceLibs_jll.jl)
* [`ROCmOpenCLRuntime_jll`](https://github.com/JuliaBinaryWrappers/ROCmOpenCLRuntime_jll.jl)
* [`hsa_rocr_jll`](https://github.com/JuliaBinaryWrappers/hsa_rocr_jll.jl)
* [`hsakmt_roct_jll`](https://github.com/JuliaBinaryWrappers/hsakmt_roct_jll.jl)
* [`rocminfo_jll`](https://github.com/JuliaBinaryWrappers/rocminfo_jll.jl)

## Products

The code bindings within this package are autogenerated from the following `Products`:

* `LibraryProduct`: `libamdhip64`
* `ExecutableProduct`: `hipcc`
